Page MenuHomePhabricator

[epic] PayPal upgrade
Open, NormalPublic0 Story Points

Description

Our current integration with PayPal has some problems, mostly because it's aging and PayPal has moved on to newer things. The biggest issue at the moment is that the old version doesn't support Japan, but likely over time we will lose other countries/features if we don't upgrade.

Related Objects

StatusAssignedTask
OpenNone
Invalidatgo
Resolvedawight
Resolvedawight
Resolvedawight
ResolvedNone
ResolvedEjegg
InvalidNone
Resolvedawight
ResolvedNone
Resolvedawight
Resolvedawight
InvalidNone
InvalidNone
Resolvedawight
ResolvedXenoRyet
DuplicateNone
OpenNone
ResolvedXenoRyet
Resolved cwdent
Resolvedawight
ResolvedEjegg
Resolvedawight
ResolvedEjegg
ResolvedXenoRyet
OpenNone
ResolvedXenoRyet
ResolvedNone
ResolvedEjegg

Event Timeline

atgo created this task.Jan 26 2015, 10:50 PM
atgo raised the priority of this task from to Normal.
atgo updated the task description. (Show Details)
atgo added projects: Epic, Fundraising-Backlog.
atgo added a subscriber: atgo.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 26 2015, 10:50 PM
atgo added a subscriber: Ppena.Feb 6 2015, 1:02 AM
Ppena added a comment.Feb 6 2015, 1:03 AM

Express Checkout main advantages

  1. Accept donation payments from Japan
  2. Real time analytics to see that a payment is completing or failing.
  3. Smart widgets and improved interface
  4. Improve security with our connectivity (less fraud attacks)

Link for Express Checkout integration
https://developer.paypal.com/docs/classic/express-checkout/integration-guide/ECGettingStarted/

atgo moved this task from Triage to FY 2019-20 on the Fundraising-Backlog board.Feb 20 2015, 5:50 PM
awight added a subscriber: awight.Jun 11 2015, 4:42 PM

Part of the evaluation process needs to include a quick survey of PayPal's recent maintenance notifications. Anecdotally, the EC method relies on their APIs and those seem to be down a lot.

atgo renamed this task from PayPal upgrade to [epic] PayPal upgrade.Jun 11 2015, 10:53 PM
atgo set Security to None.

I think T107384 is unrelated, not a blocker

DStrine edited a custom field.Nov 3 2015, 6:21 PM
DStrine edited a custom field.
DStrine edited a custom field.Nov 3 2015, 9:52 PM
atgo removed a subscriber: atgo.Mar 30 2016, 10:06 PM
Jgreen closed subtask Restricted Task as Resolved.Jun 3 2016, 6:07 PM
awight created subtask Restricted Task.Dec 15 2016, 11:49 PM
Ejegg closed subtask Restricted Task as Resolved.Feb 1 2017, 7:37 PM
awight added a comment.Mar 2 2017, 1:09 AM

@Ppena
Sorry if you've already addressed this, but I'm wondering if the plan is still to exclusively target JP/JPY, or if we should open it up to all countries supported by PP EC?

Ppena added a comment.Mar 2 2017, 4:49 AM

@awight PP EC seems to be a better experience overall (UI, reporting, and support), so we can start with JP/JPY (or any convenient country) and open it up to all countries when we feel comfortable with it.

MBeat33 added a subscriber: MBeat33.Mar 7 2017, 4:39 PM

Matt @ PayPal removed the e-check option on 3/6/2017. We should make sure to re-enable this method once EC is integrated.

Ppena added a comment.Mar 7 2017, 5:00 PM

... only allowing these in when they actually settle (BPay/IDEAL style) :)

mmodell removed a subscriber: awight.Jun 22 2017, 9:33 PM